﻿namespace Collision
{
    /// <summary>
    /// Klasse zur Beschreibung der Wand
    /// </summary>
    class Wall : StrokeObject
    {
        /// <summary>
        /// Kennung der pixel-orthogonalen Wand
        /// </summary>
        public enum KindWall
        { 
            North,
            South,
            West,
            Ost,
        }

        private KindWall Kind;

        public Wall(KindWall kind)
        {
            this.Kind = kind;

            // Null-Vektor
            this.Speed = new Vector();
            // die Position ist dynamisch, das Fenster kann gezogen werden.
            this.Location = new Vector();
        }

    }
}
